Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Class JarFileUrlConnection

    java.lang.Object
      java.net.URLConnection
          java.net.JarURLConnection
              org.apache.axis2.classloader.JarFileUrlConnection

    public class JarFileUrlConnection

extends java.net.JarURLConnection

Version:
  $Rev: 476049 $ $Date: 2006-11-16 23:35:17 -0500 (Thu, 16 Nov 2006) $

Field Summary
`static java.net.URL` | `DUMMY_JAR_URL`

Fields inherited from class java.net.JarURLConnection
`jarFileURLConnection`

Fields inherited from class java.net.URLConnection
`allowUserInteraction, connected, doInput, doOutput, ifModifiedSince, useCaches`

Constructor Summary
`JarFileUrlConnection(java.net.URL url, java.util.jar.JarFile jarFile, java.util.jar.JarEntry jarEntry)`

Method Summary
`void` | `connect()`
`java.util.jar.Attributes` | `getAttributes()`
`java.security.cert.Certificate[]` | `getCertificates()`
`int` | `getContentLength()`
`java.lang.String` | `getEntryName()`
`java.io.InputStream` | `getInputStream()`
`java.util.jar.JarEntry` | `getJarEntry()`
`java.util.jar.JarFile` | `getJarFile()`
`java.net.URL` | `getJarFileURL()`
`long` | `getLastModified()`
`java.util.jar.Attributes` | `getMainAttributes()`
`java.util.jar.Manifest` | `getManifest()`
`java.security.Permission` | `getPermission()`
`java.net.URL` | `getURL()`
`java.lang.String` | `toString()`

Methods inherited from class java.net.URLConnection
`addRequestProperty, getAllowUserInteraction, getConnectTimeout, getContent, getContent, getContentEncoding, getContentType, getDate, getDefaultAllowUserInteraction, getDefaultRequestProperty, getDefaultUseCaches, getDoInput, getDoOutput, getExpiration, getFileNameMap, getHeaderField, getHeaderField, getHeaderFieldDate, getHeaderFieldInt, getHeaderFieldKey, getHeaderFields, getIfModifiedSince, getOutputStream, getReadTimeout, getRequestProperties, getRequestProperty, getUseCaches, guessContentTypeFromName, guessContentTypeFromStream, setAllowUserInteraction, setConnectTimeout, setContentHandlerFactory, setDefaultAllowUserInteraction, setDefaultRequestProperty, setDefaultUseCaches, setDoInput, setDoOutput, setFileNameMap, setIfModifiedSince, setReadTimeout, setRequestProperty, setUseCaches`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUMMY_JAR_URL

    public static final java.net.URL DUMMY_JAR_URL

Constructor Detail

### JarFileUrlConnection

    public JarFileUrlConnection(java.net.URL url,
                                java.util.jar.JarFile jarFile,
                                java.util.jar.JarEntry jarEntry)
                         throws java.net.MalformedURLException

Throws:
  `java.net.MalformedURLException`

Method Detail

### getJarFile

    public java.util.jar.JarFile getJarFile()
                                     throws java.io.IOException

  Specified by:
    `getJarFile` in class `java.net.JarURLConnection`
  Throws:
    `java.io.IOException`

### connect

    public void connect()

  Specified by:
    `connect` in class `java.net.URLConnection`

### getJarFileURL

    public java.net.URL getJarFileURL()

  Overrides:
    `getJarFileURL` in class `java.net.JarURLConnection`

### getEntryName

    public java.lang.String getEntryName()

  Overrides:
    `getEntryName` in class `java.net.JarURLConnection`

### getManifest

    public java.util.jar.Manifest getManifest()
                                       throws java.io.IOException

  Overrides:
    `getManifest` in class `java.net.JarURLConnection`
  Throws:
    `java.io.IOException`

### getJarEntry

    public java.util.jar.JarEntry getJarEntry()

  Overrides:
    `getJarEntry` in class `java.net.JarURLConnection`

### getAttributes

    public java.util.jar.Attributes getAttributes()
                                           throws java.io.IOException

  Overrides:
    `getAttributes` in class `java.net.JarURLConnection`
  Throws:
    `java.io.IOException`

### getMainAttributes

    public java.util.jar.Attributes getMainAttributes()
                                               throws java.io.IOException

  Overrides:
    `getMainAttributes` in class `java.net.JarURLConnection`
  Throws:
    `java.io.IOException`

### getCertificates

    public java.security.cert.Certificate[] getCertificates()
                                                     throws java.io.IOException

  Overrides:
    `getCertificates` in class `java.net.JarURLConnection`
  Throws:
    `java.io.IOException`

### getURL

    public java.net.URL getURL()

  Overrides:
    `getURL` in class `java.net.URLConnection`

### getContentLength

    public int getContentLength()

  Overrides:
    `getContentLength` in class `java.net.URLConnection`

### getLastModified

    public long getLastModified()

  Overrides:
    `getLastModified` in class `java.net.URLConnection`

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Overrides:
    `getInputStream` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### getPermission

    public java.security.Permission getPermission()
                                           throws java.io.IOException

  Overrides:
    `getPermission` in class `java.net.URLConnection`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.net.URLConnection`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.